%define name gnupg-idea-plugin
%define version 20020803
%define release %mkrel 3

Summary: IDEA plugin for gnupg
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: BSD-style
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.gnupg.org
Requires: gnupg

%description

This is a plugin for the GNU Privacy Guard implementing the IDEA
cipher. 

This package is in PLF because IDEA is covered by software patents.

%prep
%setup -q -n %name

%build
gcc -Wall -O2 -shared -fPIC -o idea idea.c
%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 idea %buildroot%_libdir/gnupg/idea

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/gnupg/idea

%changelog
* Mon Apr 24 2006 Götz Waschk <goetz@zarb.org> 20020803-3plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 20020803-2plf
- rebuild

* Sat Nov 22 2003 Gtz Waschk <goetz@plf.zarb.org> 20020803-1plf
- initial package

